import React, { FC, ReactElement } from 'react';
import { ViewStyle } from 'react-native';
import { PageProps } from './Page';
import { PrimaryButtonProps } from './components/PrimaryButton';
import { FooterProps } from './Footer';
import { SecondaryButtonProps } from './components/SecondaryButton';
import { PaginationProps } from './types';
export type PageType = string;
export type OnboardPageConfigParams<Props> = {
    pageProps: PageProps;
    props: Props;
};
export interface PageData {
    imageComponent?: ReactElement;
    imageUri?: string;
    primaryButtonTitle?: string;
    subtitle?: string;
    title?: string;
    type?: PageType;
    props?: any;
}
export type OnboardPageTypesConfig = {
    [key: string]: (params: OnboardPageConfigParams<any>) => React.ReactNode;
};
interface OnboardFlowProps {
    backgroundImageUri?: string;
    dismissButtonStyle?: ViewStyle;
    fullscreenModal?: boolean;
    onBack?: () => void;
    onDone?: () => void;
    onNext?: () => void;
    pageStyle?: ViewStyle;
    pageTypes?: OnboardPageTypesConfig;
    pages?: PageData[];
    paginationColor?: string;
    paginationSelectedColor?: string;
    showDismissButton?: boolean;
    style?: ViewStyle;
    subtitleStyle?: ViewStyle;
    textAlign?: 'left' | 'center' | 'right';
    titleStyle?: ViewStyle;
    FooterComponent?: FC<FooterProps>;
    PaginationComponent?: FC<PaginationProps>;
    PrimaryButtonComponent?: FC<PrimaryButtonProps>;
    SecondaryButtonComponent?: FC<SecondaryButtonProps>;
}
export interface OnboardComponents {
    PrimaryButtonComponent: FC<PrimaryButtonProps>;
    SecondaryButtonComponent: FC<SecondaryButtonProps>;
    PaginationComponent: FC<PaginationProps>;
}
export declare const OnboardFlow: FC<OnboardFlowProps>;
export {};
